/****************************************************************************
** Form implementation generated from reading ui file 'src/LogDialog.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "LogDialog.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qcheckbox.h>
#include <qframe.h>
#include <qlabel.h>
#include <qmultilineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "logtree.h"
#include "loglist.h"
/*
 *  Constructs a LogDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
LogDialog::LogDialog( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "LogDialog" );
    LogDialogLayout = new QVBoxLayout( this, 2, 2, "LogDialogLayout"); 

    LogTabWidget = new QTabWidget( this, "LogTabWidget" );

    RevisionTreePage = new QWidget( LogTabWidget, "RevisionTreePage" );
    RevisionTreePageLayout = new QVBoxLayout( RevisionTreePage, 2, 2, "RevisionTreePageLayout"); 

    tree = new LogTreeView( RevisionTreePage, "tree" );
    tree->setFocusPolicy( LogTreeView::StrongFocus );
    RevisionTreePageLayout->addWidget( tree );

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 

    CheckBoxBranchTags = new QCheckBox( RevisionTreePage, "CheckBoxBranchTags" );
    layout5->addWidget( CheckBoxBranchTags );

    CheckBoxRegularTags = new QCheckBox( RevisionTreePage, "CheckBoxRegularTags" );
    layout5->addWidget( CheckBoxRegularTags );

    CheckBoxKeepSettings = new QCheckBox( RevisionTreePage, "CheckBoxKeepSettings" );
    layout5->addWidget( CheckBoxKeepSettings );
    Spacer2 = new QSpacerItem( 228, 10, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout5->addItem( Spacer2 );

    m_treeZoomInButton = new QPushButton( RevisionTreePage, "m_treeZoomInButton" );
    layout5->addWidget( m_treeZoomInButton );

    m_treeZoomOutButton = new QPushButton( RevisionTreePage, "m_treeZoomOutButton" );
    layout5->addWidget( m_treeZoomOutButton );
    RevisionTreePageLayout->addLayout( layout5 );
    LogTabWidget->insertTab( RevisionTreePage, QString::fromLatin1("") );

    RevisionListPage = new QWidget( LogTabWidget, "RevisionListPage" );
    RevisionListPageLayout = new QVBoxLayout( RevisionListPage, 2, 2, "RevisionListPageLayout"); 

    list = new LogListView( RevisionListPage, "list" );
    list->setFocusPolicy( LogListView::StrongFocus );
    RevisionListPageLayout->addWidget( list );
    LogTabWidget->insertTab( RevisionListPage, QString::fromLatin1("") );
    LogDialogLayout->addWidget( LogTabWidget );

    RevFrame = new QFrame( this, "RevFrame" );
    RevFrame->setFrameShape( QFrame::NoFrame );
    RevFrame->setFrameShadow( QFrame::Plain );
    RevFrameLayout = new QGridLayout( RevFrame, 1, 1, 0, 2, "RevFrameLayout"); 

    layout6 = new QGridLayout( 0, 1, 1, 0, 2, "layout6"); 

    AuthorDateALabel = new QLabel( RevFrame, "AuthorDateALabel" );
    AuthorDateALabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, AuthorDateALabel->sizePolicy().hasHeightForWidth() ) );
    QFont AuthorDateALabel_font(  AuthorDateALabel->font() );
    AuthorDateALabel_font.setBold( TRUE );
    AuthorDateALabel->setFont( AuthorDateALabel_font ); 
    AuthorDateALabel->setTextFormat( QLabel::PlainText );

    layout6->addWidget( AuthorDateALabel, 3, 0 );

    BranchALabel = new QLabel( RevFrame, "BranchALabel" );
    BranchALabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, BranchALabel->sizePolicy().hasHeightForWidth() ) );
    QFont BranchALabel_font(  BranchALabel->font() );
    BranchALabel_font.setBold( TRUE );
    BranchALabel->setFont( BranchALabel_font ); 
    BranchALabel->setTextFormat( QLabel::PlainText );

    layout6->addWidget( BranchALabel, 2, 0 );

    RevABox = new QLabel( RevFrame, "RevABox" );
    RevABox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, RevABox->sizePolicy().hasHeightForWidth() ) );
    RevABox->setTextFormat( QLabel::PlainText );

    layout6->addWidget( RevABox, 1, 1 );

    FileALabel = new QLabel( RevFrame, "FileALabel" );
    FileALabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, FileALabel->sizePolicy().hasHeightForWidth() ) );
    QFont FileALabel_font(  FileALabel->font() );
    FileALabel_font.setBold( TRUE );
    FileALabel->setFont( FileALabel_font ); 
    FileALabel->setTextFormat( QLabel::PlainText );

    layout6->addWidget( FileALabel, 0, 0 );

    RevisionALabel = new QLabel( RevFrame, "RevisionALabel" );
    RevisionALabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, RevisionALabel->sizePolicy().hasHeightForWidth() ) );
    QFont RevisionALabel_font(  RevisionALabel->font() );
    RevisionALabel_font.setBold( TRUE );
    RevisionALabel->setFont( RevisionALabel_font ); 
    RevisionALabel->setTextFormat( QLabel::PlainText );

    layout6->addWidget( RevisionALabel, 1, 0 );

    BranchABox = new QLabel( RevFrame, "BranchABox" );
    BranchABox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, BranchABox->sizePolicy().hasHeightForWidth() ) );
    BranchABox->setTextFormat( QLabel::PlainText );

    layout6->addWidget( BranchABox, 2, 1 );

    AuthorDateABox = new QLabel( RevFrame, "AuthorDateABox" );
    AuthorDateABox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, AuthorDateABox->sizePolicy().hasHeightForWidth() ) );
    AuthorDateABox->setTextFormat( QLabel::PlainText );

    layout6->addWidget( AuthorDateABox, 3, 1 );

    FileABox = new QLabel( RevFrame, "FileABox" );
    FileABox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, FileABox->sizePolicy().hasHeightForWidth() ) );
    FileABox->setTextFormat( QLabel::PlainText );

    layout6->addWidget( FileABox, 0, 1 );

    RevFrameLayout->addLayout( layout6, 0, 0 );

    layout7 = new QGridLayout( 0, 1, 1, 0, 0, "layout7"); 

    m_pDiffConsoleB = new QPushButton( RevFrame, "m_pDiffConsoleB" );
    m_pDiffConsoleB->setEnabled( FALSE );
    m_pDiffConsoleB->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, m_pDiffConsoleB->sizePolicy().hasHeightForWidth() ) );
    m_pDiffConsoleB->setMinimumSize( QSize( 0, 0 ) );
    m_pDiffConsoleB->setMaximumSize( QSize( 32000, 25 ) );

    layout7->addWidget( m_pDiffConsoleB, 2, 0 );

    m_buttonDiffB = new QPushButton( RevFrame, "m_buttonDiffB" );
    m_buttonDiffB->setEnabled( FALSE );
    m_buttonDiffB->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, m_buttonDiffB->sizePolicy().hasHeightForWidth() ) );
    m_buttonDiffB->setMinimumSize( QSize( 0, 0 ) );
    m_buttonDiffB->setMaximumSize( QSize( 32000, 25 ) );

    layout7->addWidget( m_buttonDiffB, 1, 0 );

    CommentBLabel = new QLabel( RevFrame, "CommentBLabel" );
    CommentBLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, CommentBLabel->sizePolicy().hasHeightForWidth() ) );
    QFont CommentBLabel_font(  CommentBLabel->font() );
    CommentBLabel_font.setBold( TRUE );
    CommentBLabel->setFont( CommentBLabel_font ); 

    layout7->addWidget( CommentBLabel, 0, 0 );

    CommentBBox = new QMultiLineEdit( RevFrame, "CommentBBox" );
    CommentBBox->setEnabled( FALSE );
    CommentBBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, CommentBBox->sizePolicy().hasHeightForWidth() ) );
    CommentBBox->setMinimumSize( QSize( 0, 40 ) );
    CommentBBox->setCursor( QCursor( 0 ) );
    CommentBBox->setAcceptDrops( FALSE );
    CommentBBox->setFrameShape( QMultiLineEdit::StyledPanel );
    CommentBBox->setWordWrap( QMultiLineEdit::WidgetWidth );
    CommentBBox->setUndoDepth( 0 );
    CommentBBox->setReadOnly( TRUE );

    layout7->addMultiCellWidget( CommentBBox, 0, 2, 1, 1 );

    RevFrameLayout->addLayout( layout7, 2, 1 );

    layout8 = new QGridLayout( 0, 1, 1, 0, 0, "layout8"); 

    m_pDiffConsoleA = new QPushButton( RevFrame, "m_pDiffConsoleA" );
    m_pDiffConsoleA->setEnabled( FALSE );
    m_pDiffConsoleA->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, m_pDiffConsoleA->sizePolicy().hasHeightForWidth() ) );
    m_pDiffConsoleA->setMinimumSize( QSize( 0, 0 ) );
    m_pDiffConsoleA->setMaximumSize( QSize( 32000, 25 ) );

    layout8->addWidget( m_pDiffConsoleA, 2, 0 );

    CommentABox = new QMultiLineEdit( RevFrame, "CommentABox" );
    CommentABox->setEnabled( FALSE );
    CommentABox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, CommentABox->sizePolicy().hasHeightForWidth() ) );
    CommentABox->setMinimumSize( QSize( 0, 40 ) );
    CommentABox->setCursor( QCursor( 0 ) );
    CommentABox->setAcceptDrops( FALSE );
    CommentABox->setFrameShape( QMultiLineEdit::StyledPanel );
    CommentABox->setWordWrap( QMultiLineEdit::WidgetWidth );
    CommentABox->setUndoDepth( 0 );
    CommentABox->setReadOnly( TRUE );

    layout8->addMultiCellWidget( CommentABox, 0, 2, 1, 1 );

    m_buttonDiffA = new QPushButton( RevFrame, "m_buttonDiffA" );
    m_buttonDiffA->setEnabled( FALSE );
    m_buttonDiffA->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, m_buttonDiffA->sizePolicy().hasHeightForWidth() ) );
    m_buttonDiffA->setMinimumSize( QSize( 0, 0 ) );
    m_buttonDiffA->setMaximumSize( QSize( 32000, 25 ) );

    layout8->addWidget( m_buttonDiffA, 1, 0 );

    CommentALabel = new QLabel( RevFrame, "CommentALabel" );
    CommentALabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, CommentALabel->sizePolicy().hasHeightForWidth() ) );
    QFont CommentALabel_font(  CommentALabel->font() );
    CommentALabel_font.setBold( TRUE );
    CommentALabel->setFont( CommentALabel_font ); 

    layout8->addWidget( CommentALabel, 0, 0 );

    RevFrameLayout->addLayout( layout8, 0, 1 );

    layout7_2 = new QGridLayout( 0, 1, 1, 0, 2, "layout7_2"); 

    AuthorDateBBox = new QLabel( RevFrame, "AuthorDateBBox" );
    AuthorDateBBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, AuthorDateBBox->sizePolicy().hasHeightForWidth() ) );
    AuthorDateBBox->setTextFormat( QLabel::PlainText );

    layout7_2->addWidget( AuthorDateBBox, 3, 1 );

    RevBBox = new QLabel( RevFrame, "RevBBox" );
    RevBBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, RevBBox->sizePolicy().hasHeightForWidth() ) );
    RevBBox->setTextFormat( QLabel::PlainText );

    layout7_2->addWidget( RevBBox, 1, 1 );

    AuthorDateBLabel = new QLabel( RevFrame, "AuthorDateBLabel" );
    AuthorDateBLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, AuthorDateBLabel->sizePolicy().hasHeightForWidth() ) );
    QFont AuthorDateBLabel_font(  AuthorDateBLabel->font() );
    AuthorDateBLabel_font.setBold( TRUE );
    AuthorDateBLabel->setFont( AuthorDateBLabel_font ); 
    AuthorDateBLabel->setTextFormat( QLabel::PlainText );

    layout7_2->addWidget( AuthorDateBLabel, 3, 0 );

    FileBBox = new QLabel( RevFrame, "FileBBox" );
    FileBBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, FileBBox->sizePolicy().hasHeightForWidth() ) );
    FileBBox->setTextFormat( QLabel::PlainText );

    layout7_2->addWidget( FileBBox, 0, 1 );

    BranchBLabel = new QLabel( RevFrame, "BranchBLabel" );
    BranchBLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, BranchBLabel->sizePolicy().hasHeightForWidth() ) );
    QFont BranchBLabel_font(  BranchBLabel->font() );
    BranchBLabel_font.setBold( TRUE );
    BranchBLabel->setFont( BranchBLabel_font ); 
    BranchBLabel->setTextFormat( QLabel::PlainText );

    layout7_2->addWidget( BranchBLabel, 2, 0 );

    FileBLabel = new QLabel( RevFrame, "FileBLabel" );
    FileBLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, FileBLabel->sizePolicy().hasHeightForWidth() ) );
    QFont FileBLabel_font(  FileBLabel->font() );
    FileBLabel_font.setBold( TRUE );
    FileBLabel->setFont( FileBLabel_font ); 
    FileBLabel->setTextFormat( QLabel::PlainText );

    layout7_2->addWidget( FileBLabel, 0, 0 );

    RevisionBLabel = new QLabel( RevFrame, "RevisionBLabel" );
    RevisionBLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, RevisionBLabel->sizePolicy().hasHeightForWidth() ) );
    QFont RevisionBLabel_font(  RevisionBLabel->font() );
    RevisionBLabel_font.setBold( TRUE );
    RevisionBLabel->setFont( RevisionBLabel_font ); 
    RevisionBLabel->setTextFormat( QLabel::PlainText );

    layout7_2->addWidget( RevisionBLabel, 1, 0 );

    BranchBBox = new QLabel( RevFrame, "BranchBBox" );
    BranchBBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, BranchBBox->sizePolicy().hasHeightForWidth() ) );
    BranchBBox->setTextFormat( QLabel::PlainText );

    layout7_2->addWidget( BranchBBox, 2, 1 );

    RevFrameLayout->addLayout( layout7_2, 2, 0 );

    RevLine = new QFrame( RevFrame, "RevLine" );
    RevLine->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, RevLine->sizePolicy().hasHeightForWidth() ) );
    RevLine->setFrameShape( QFrame::HLine );
    RevLine->setFrameShadow( QFrame::Sunken );
    RevLine->setFrameShape( QFrame::HLine );

    RevFrameLayout->addMultiCellWidget( RevLine, 1, 1, 0, 1 );
    LogDialogLayout->addWidget( RevFrame );

    RevLine_2 = new QFrame( this, "RevLine_2" );
    RevLine_2->setFrameShape( QFrame::HLine );
    RevLine_2->setFrameShadow( QFrame::Sunken );
    RevLine_2->setFrameShape( QFrame::HLine );
    LogDialogLayout->addWidget( RevLine_2 );

    buttonLayout = new QHBoxLayout( 0, 0, 0, "buttonLayout"); 

    m_pWhatsThis = new QPushButton( this, "m_pWhatsThis" );
    m_pWhatsThis->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, m_pWhatsThis->sizePolicy().hasHeightForWidth() ) );
    buttonLayout->addWidget( m_pWhatsThis );

    buttonDiffs = new QPushButton( this, "buttonDiffs" );
    buttonDiffs->setEnabled( FALSE );
    buttonLayout->addWidget( buttonDiffs );

    m_ButtonDiffConsole = new QPushButton( this, "m_ButtonDiffConsole" );
    m_ButtonDiffConsole->setEnabled( FALSE );
    buttonLayout->addWidget( m_ButtonDiffConsole );

    buttonAnnotate = new QPushButton( this, "buttonAnnotate" );
    buttonAnnotate->setEnabled( FALSE );
    buttonLayout->addWidget( buttonAnnotate );

    buttonMerge = new QPushButton( this, "buttonMerge" );
    buttonMerge->setEnabled( FALSE );
    buttonLayout->addWidget( buttonMerge );

    m_ButtonPatch = new QPushButton( this, "m_ButtonPatch" );
    m_ButtonPatch->setEnabled( FALSE );
    buttonLayout->addWidget( m_ButtonPatch );
    Spacer5 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    buttonLayout->addItem( Spacer5 );

    buttonDone = new QPushButton( this, "buttonDone" );
    buttonDone->setAutoDefault( TRUE );
    buttonDone->setDefault( TRUE );
    buttonLayout->addWidget( buttonDone );
    LogDialogLayout->addLayout( buttonLayout );
    languageChange();
    resize( QSize(684, 534).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonDiffs, SIGNAL( clicked() ), this, SLOT( diffClicked() ) );
    connect( buttonDone, SIGNAL( clicked() ), this, SLOT( close() ) );
    connect( buttonAnnotate, SIGNAL( clicked() ), this, SLOT( annotateClicked() ) );
    connect( CheckBoxRegularTags, SIGNAL( toggled(bool) ), tree, SLOT( toggleRegularTags(bool) ) );
    connect( CheckBoxBranchTags, SIGNAL( toggled(bool) ), tree, SLOT( toggleBranchTags(bool) ) );
    connect( buttonMerge, SIGNAL( clicked() ), this, SLOT( mergeClicked() ) );
    connect( m_ButtonDiffConsole, SIGNAL( clicked() ), this, SLOT( diffConsoleClicked() ) );
    connect( m_ButtonPatch, SIGNAL( clicked() ), this, SLOT( createPatchClicked() ) );
    connect( m_buttonDiffA, SIGNAL( clicked() ), this, SLOT( diffAClicked() ) );
    connect( m_buttonDiffB, SIGNAL( clicked() ), this, SLOT( diffBClicked() ) );
    connect( m_pWhatsThis, SIGNAL( clicked() ), this, SLOT( enterWhatsThisMode() ) );
    connect( m_pDiffConsoleA, SIGNAL( clicked() ), this, SLOT( diffConsoleAClicked() ) );
    connect( m_pDiffConsoleB, SIGNAL( clicked() ), this, SLOT( diffConsoleBClicked() ) );
    connect( CheckBoxKeepSettings, SIGNAL( toggled(bool) ), this, SLOT( keepSettingsToggled(bool) ) );
    connect( CheckBoxRegularTags, SIGNAL( toggled(bool) ), this, SLOT( showTagsToggled(bool) ) );
    connect( CheckBoxBranchTags, SIGNAL( toggled(bool) ), this, SLOT( showBranchesToggled(bool) ) );

    // tab order
    setTabOrder( tree, list );
    setTabOrder( list, CheckBoxBranchTags );
    setTabOrder( CheckBoxBranchTags, CheckBoxRegularTags );
    setTabOrder( CheckBoxRegularTags, CheckBoxKeepSettings );
    setTabOrder( CheckBoxKeepSettings, m_treeZoomInButton );
    setTabOrder( m_treeZoomInButton, m_treeZoomOutButton );
    setTabOrder( m_treeZoomOutButton, m_buttonDiffA );
    setTabOrder( m_buttonDiffA, m_pDiffConsoleA );
    setTabOrder( m_pDiffConsoleA, CommentABox );
    setTabOrder( CommentABox, m_buttonDiffB );
    setTabOrder( m_buttonDiffB, m_pDiffConsoleB );
    setTabOrder( m_pDiffConsoleB, CommentBBox );
    setTabOrder( CommentBBox, m_pWhatsThis );
    setTabOrder( m_pWhatsThis, buttonDiffs );
    setTabOrder( buttonDiffs, m_ButtonDiffConsole );
    setTabOrder( m_ButtonDiffConsole, buttonAnnotate );
    setTabOrder( buttonAnnotate, buttonMerge );
    setTabOrder( buttonMerge, m_ButtonPatch );
    setTabOrder( m_ButtonPatch, buttonDone );
    setTabOrder( buttonDone, LogTabWidget );

    // buddies
    CommentBLabel->setBuddy( CommentBBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
LogDialog::~LogDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void LogDialog::languageChange()
{
    setCaption( tr( "CVS Log" ) );
    QWhatsThis::add( tree, tr( "<html>\n"
"<p>\n"
"This tree structure represents the revision development of the selected file(s).\n"
"</p>\n"
"<p>\n"
"To view differences select two revisions with a left and a right click, and press the 'Diff' button. To view differences between different files you need to have an external diff tool installed.\n"
"</p>\n"
"<p>\n"
"To Annotate, select a revision with a left click and press the 'Annotate' button.\n"
"</p>\n"
"<p>\n"
"To merge, after selecting two revisions of the same file with a left and a right click, press the 'Merge ...' button. The differences between the left clicked revision and the right clicked revision will be merged into the current local revision (displayed in the top left corner of the dialog).\n"
"</p>\n"
"<p>\n"
"To view one specific revision in the tree, double clicking the revision will temporary open the file readonly in the viewer specified in the Options/Settings.\n"
"</p>\n"
"<p>\n"
"You can use all this widget's functions from the keyboard:<br>\n"
"<br>\n"
"arrow keys: move within the tree<br>\n"
"spacebar: select file A<br>\n"
"shift+spacebar: select file B\n"
"</p>\n"
"</html>" ) );
    CheckBoxBranchTags->setText( tr( "Show Branch Tags" ) );
    CheckBoxRegularTags->setText( tr( "Show Regular Tags" ) );
    CheckBoxKeepSettings->setText( tr( "Keep Settings" ) );
    QToolTip::add( CheckBoxKeepSettings, tr( "Keep settings for this session" ) );
    QWhatsThis::add( CheckBoxKeepSettings, tr( "Keep settings for this session" ) );
    m_treeZoomInButton->setText( tr( "zoom in (+)" ) );
    m_treeZoomInButton->setAccel( QKeySequence( tr( "+" ) ) );
    m_treeZoomOutButton->setText( tr( "zoom out (-)" ) );
    m_treeZoomOutButton->setAccel( QKeySequence( tr( "-" ) ) );
    LogTabWidget->changeTab( RevisionTreePage, tr( "Revision Tree" ) );
    QWhatsThis::add( list, tr( "<html>\n"
"<p>\n"
"This is the textual representation of the revision development of the selected file(s).\n"
"</p>\n"
"<p>\n"
"To view differences select two revisions with a left and a right click, and press the 'Diff' button. To view differences between different files you need to have an external diff tool installed.\n"
"</p>\n"
"<p>\n"
"To Annotate, select a revision with a left click and press the 'Annotate' button.\n"
"</p>\n"
"<p>\n"
"To merge, after selecting two revisions of the same file with a left and a right click, press the 'Merge ...' button. The differences between the left clicked revision and the right clicked revision will be merged into the current local revision (displayed in the top left corner of the dialog).\n"
"</p>\n"
"<p>\n"
"To view one specific revision in the tree, double clicking the revision will temporary open the file readonly in the viewer specified in the Options/Settings.\n"
"</p>\n"
"</html>" ) );
    LogTabWidget->changeTab( RevisionListPage, tr( "Revision List" ) );
    QWhatsThis::add( RevFrame, tr( "<html><p>\n"
"The left clicked revision corresponds with file A, the right clicked revision corresponds with file B\n"
"</p>\n"
"</html>" ) );
    AuthorDateALabel->setText( tr( "Author/Date:" ) );
    BranchALabel->setText( tr( "Branch:" ) );
    RevABox->setText( tr( "(none)" ) );
    FileALabel->setText( tr( "File A:" ) );
    RevisionALabel->setText( tr( "Revision:" ) );
    BranchABox->setText( tr( "(none)" ) );
    AuthorDateABox->setText( tr( "(none)" ) );
    FileABox->setText( tr( "(none)" ) );
    m_pDiffConsoleB->setText( tr( "Diff to console" ) );
    QToolTip::add( m_pDiffConsoleB, tr( "Diff-to-console selected file against working copy" ) );
    QWhatsThis::add( m_pDiffConsoleB, tr( "Diff-to-console selected file against working copy" ) );
    m_buttonDiffB->setText( tr( "Diff" ) );
    QToolTip::add( m_buttonDiffB, tr( "Diff selected file against working copy" ) );
    QWhatsThis::add( m_buttonDiffB, tr( "Diff selected file against working copy" ) );
    CommentBLabel->setText( tr( "Comment:" ) );
    QWhatsThis::add( CommentBBox, tr( "The comment the right clicked revision was checked in with" ) );
    m_pDiffConsoleA->setText( tr( "Diff to console" ) );
    QToolTip::add( m_pDiffConsoleA, tr( "Diff-to-console selected file against working copy" ) );
    QWhatsThis::add( m_pDiffConsoleA, tr( "Diff-to-console selected file against working copy" ) );
    QWhatsThis::add( CommentABox, tr( "The comment the left clicked revision was checked in with" ) );
    m_buttonDiffA->setText( tr( "Diff" ) );
    QToolTip::add( m_buttonDiffA, tr( "Diff selected file against working copy" ) );
    QWhatsThis::add( m_buttonDiffA, tr( "Diff selected file against working copy" ) );
    CommentALabel->setText( tr( "Comment:" ) );
    AuthorDateBBox->setText( tr( "(none)" ) );
    RevBBox->setText( tr( "(none)" ) );
    AuthorDateBLabel->setText( tr( "Author/Date:" ) );
    FileBBox->setText( tr( "(none)" ) );
    BranchBLabel->setText( tr( "Branch:" ) );
    FileBLabel->setText( tr( "File B:" ) );
    RevisionBLabel->setText( tr( "Revision:" ) );
    BranchBBox->setText( tr( "(none)" ) );
    m_pWhatsThis->setText( QString::null );
    m_pWhatsThis->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( m_pWhatsThis, tr( "What's this? (Shift+F1)" ) );
    buttonDiffs->setText( tr( "&Diff" ) );
    buttonDiffs->setAccel( QKeySequence( tr( "Alt+D" ) ) );
    QWhatsThis::add( buttonDiffs, tr( "Show differences between selected revisions" ) );
    m_ButtonDiffConsole->setText( tr( "Diff to &console" ) );
    m_ButtonDiffConsole->setAccel( QKeySequence( tr( "Alt+C" ) ) );
    buttonAnnotate->setText( tr( "&Annotate" ) );
    buttonAnnotate->setAccel( QKeySequence( tr( "Alt+A" ) ) );
    QWhatsThis::add( buttonAnnotate, tr( "Show annotations for the selected revision" ) );
    buttonMerge->setText( tr( "&Merge ..." ) );
    buttonMerge->setAccel( QKeySequence( tr( "Alt+M" ) ) );
    QWhatsThis::add( buttonMerge, tr( "After selecting two revisions with a left and a right click, press the Merge... button. The differences between the left clicked revision and the right clicked revision will be merged into the current local revision (displayed in the top left corner of the dialog)." ) );
    m_ButtonPatch->setText( tr( "Create &patch" ) );
    m_ButtonPatch->setAccel( QKeySequence( tr( "Alt+P" ) ) );
    buttonDone->setText( tr( "&Close" ) );
    buttonDone->setAccel( QKeySequence( tr( "Alt+C" ) ) );
    QWhatsThis::add( buttonDone, tr( "Close the dialog" ) );
}

void LogDialog::annotateClicked()
{
    qWarning( "LogDialog::annotateClicked(): Not implemented yet" );
}

void LogDialog::diffClicked()
{
    qWarning( "LogDialog::diffClicked(): Not implemented yet" );
}

void LogDialog::diffConsoleClicked()
{
    qWarning( "LogDialog::diffConsoleClicked(): Not implemented yet" );
}

void LogDialog::mergeClicked()
{
    qWarning( "LogDialog::mergeClicked(): Not implemented yet" );
}

void LogDialog::createPatchClicked()
{
    qWarning( "LogDialog::createPatchClicked(): Not implemented yet" );
}

void LogDialog::diffAClicked()
{
    qWarning( "LogDialog::diffAClicked(): Not implemented yet" );
}

void LogDialog::diffBClicked()
{
    qWarning( "LogDialog::diffBClicked(): Not implemented yet" );
}

void LogDialog::enterWhatsThisMode()
{
    qWarning( "LogDialog::enterWhatsThisMode(): Not implemented yet" );
}

void LogDialog::diffConsoleAClicked()
{
    qWarning( "LogDialog::diffConsoleAClicked(): Not implemented yet" );
}

void LogDialog::diffConsoleBClicked()
{
    qWarning( "LogDialog::diffConsoleBClicked(): Not implemented yet" );
}

void LogDialog::keepSettingsToggled(bool)
{
    qWarning( "LogDialog::keepSettingsToggled(bool): Not implemented yet" );
}

void LogDialog::showTagsToggled(bool)
{
    qWarning( "LogDialog::showTagsToggled(bool): Not implemented yet" );
}

void LogDialog::showBranchesToggled(bool)
{
    qWarning( "LogDialog::showBranchesToggled(bool): Not implemented yet" );
}

